Subject: categories: commutativity of addition

From: Peter Freyd <[email-masked]>
Date: Sun, 7 Nov 1999 07:49:11 -0500 (EST)

Colin's question is a good one.

Associativity tells us that  \x.1+x  and  \x.x+1  commute and that's
enough -- using the defining universal property of the NNO -- to make
them equal: each is a solution to the equations  f(0) = 1  and
f(s(x)) = s(f(x)).

The most conceptual way I can think of to finish the argument is to
use that fact that the NNO (in a locos) is the free monoid on a single
generator. The opposite-monoid functor is an involution on the
category of monoids, hence the opposite monoid, ONN, of NNO is also
free. (ONN has the same underlying object as NNO, but with the twisted
binary operation.) We need only verify that the unique monoid map
g:NNO -> ONN  is the identity. Whatever it is, it is satisfies the
equations  g(0) = 0  and  g(x+1) = 1+g(x). And that's enough to
force it to be identity.